import type { PropType, ExtractPropTypes } from 'vue';
export interface OptionObjectItem {
    label: string;
    value: string | number;
    [key: string]: unknown;
}
export declare type Option = string | number | Partial<OptionObjectItem>;
export declare type Options = Array<Option>;
export declare const editableSelectProps: {
    readonly modelValue: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly options: {
        readonly type: PropType<Options>;
        readonly default: () => never[];
    };
    readonly allowClear: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    readonly disabledKey: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: "Search";
    };
    readonly width: {
        readonly type: NumberConstructor;
    };
    readonly maxHeight: {
        readonly type: NumberConstructor;
    };
    readonly loading: {
        readonly type: BooleanConstructor;
    };
    readonly enableLazyLoad: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly searchFn: {
        readonly type: PropType<(option: OptionObjectItem, term: string) => boolean>;
    };
};
export declare type EditableSelectProps = ExtractPropTypes<typeof editableSelectProps>;
